MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031909Open CASCADE[OCCT] OCCT:Visualizationpublic2020-11-05 16:142020-11-21 13:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031909: Visualization, AIS_Trihedron - replace maps with arrays
DescriptionAIS_Trihedron and Prs3d_DatumAspect classes use NCollection_Map for storing properties of fixed length, which looks redundant and inefficient.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0027958closedbugmaster Visualization, AIS_Trihedron - add shaded presentation option 

-  Notes
(0096566)
git (administrator)
2020-11-05 16:16

Branch CR31909 has been created by kgv.

SHA-1: 5ccd55feba2c641bc3f6f6115ea888c9f3f3b1a8


Detailed log of new commits:

Author: kgv
Date: Thu Nov 5 12:30:46 2020 +0300

    0031909: Visualization, AIS_Trihedron - replace maps with arrays
    
    Prs3d_DatumAspect, AIS_Trihedron - redundant maps have been replaced by explicitly sized arrays.
    
    AIS_Trihedron::myHasOwnDatumAspect - removed unused class field.
    
    Prs3d_DatumAttribute, Prs3d_DatumParts, Prs3d_DatumAxes - enumeration values
    have been renamed to have full name prefix.
    
    vzbufftrihedron - fixed no more necessary Quantity_Color -> Quantity_NameOfColor convertion.
(0096572)
kgv (developer)
2020-11-06 10:23

Patch is ready for review
- OCCT branch: CR31909.

A couple of image differences (bugs/vis/bug22483_4, bugs/vis/bug22483_3) reflects changes in vzbufftrihedron command that does not convert color to name.
http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31909-master-KGV/ [^]
(0096587)
osa (developer)
2020-11-06 13:50

The patch was reviewed without remarks
(0096939)
bugmaster (administrator)
2020-11-21 12:43

Combination -
OCCT branch : IR-2020-11-20
master SHA - c5892d852bb462075f9db03f31085e35d7b59f35
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-11-20 SHA - a5d1f89f5fa83c955e6a604f57a5b590eb433b43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18024.090000000127 / 17964.340000000077 [+0.33%]
Products
Total CPU difference: 12166.12000000011 / 12169.520000000111 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19696.90625 / 19723.125 [-0.13%]
Products
Total CPU difference: 13644.875 / 13567.078125 [+0.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096962)
git (administrator)
2020-11-21 13:28

Branch CR31909 has been deleted by inv.

SHA-1: 5ccd55feba2c641bc3f6f6115ea888c9f3f3b1a8

- Related Changesets
occt: master 24f9d04c
Timestamp: 2020-11-05 09:30:46
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031909: Visualization, AIS_Trihedron - replace maps with arrays

Prs3d_DatumAspect, AIS_Trihedron - redundant maps have been replaced by explicitly sized arrays.

AIS_Trihedron::myHasOwnDatumAspect - removed unused class field.

Prs3d_DatumAttribute, Prs3d_DatumParts, Prs3d_DatumAxes - enumeration values
have been renamed to have full name prefix.

vzbufftrihedron - fixed no more necessary Quantity_Color -> Quantity_NameOfColor convertion.
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_GraphicTool.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.cxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.hxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_DatumPrs.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAttribute.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAxes.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumParts.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-05 16:14 kgv New Issue
2020-11-05 16:14 kgv Assigned To => kgv
2020-11-05 16:14 kgv Summary Visualization, AIS_Trihedron - use arrays instead of maps => Visualization, AIS_Trihedron - replace maps with arrays
2020-11-05 16:16 git Note Added: 0096566
2020-11-05 16:17 kgv Relationship added child of 0027958
2020-11-06 10:23 kgv Note Added: 0096572
2020-11-06 10:23 kgv Assigned To kgv => osa
2020-11-06 10:23 kgv Severity minor => integration request
2020-11-06 10:23 kgv Status new => resolved
2020-11-06 13:50 osa Note Added: 0096587
2020-11-06 13:50 osa Assigned To osa => bugmaster
2020-11-06 13:50 osa Status resolved => reviewed
2020-11-21 12:39 bugmaster Changeset attached => occt master 24f9d04c
2020-11-21 12:39 bugmaster Status reviewed => verified
2020-11-21 12:39 bugmaster Resolution open => fixed
2020-11-21 12:43 bugmaster Note Added: 0096939
2020-11-21 12:50 bugmaster Test case number => Not required
2020-11-21 13:28 git Note Added: 0096962


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker